SLASH_CYA1, SLASH_CYA2 = '/misfits', '/cyamisfits';
local function handler(msg, editbox)
   
   if msg == "" then
   print("Usage: /misfits [friends/battlenet/all]");
   end
   
   removed = 0
      if msg == "all" then
      for i=1,GetNumFriends()    do 
         local _, _, _, _, _, _, note = GetFriendInfo(i);
         if note == nil then
            RemoveFriend(i)
			removed=removed+1
         end
      end      
      for i=1,BNGetNumFriends()    do 
         local noteText  =  select(13,BNGetFriendInfo(i))
         if noteText == "" then
		    BNRemoveFriend(BNGetFriendInfo(i))
			removed=removed+1
         end
      end 
	  print("Number of removed friends:", removed)	  
   end

   
   if msg == "friends" then
      for i=1,GetNumFriends()    do 
         local _, _, _, _, _, _, note = GetFriendInfo(i)
         if note == nil then
            RemoveFriend(i)
			removed=removed+1
         end
      end   
	  print("Number of removed friends:", removed)	  
   end
   
   
      if msg == "battlenet" then  
      for i=1,BNGetNumFriends()    do 
         local noteText  =  select(13,BNGetFriendInfo(i))
         if noteText == "" then
		    BNRemoveFriend(BNGetFriendInfo(i))
			removed=removed+1
         end
      end    
   	  print("Number of removed friends:", removed)	  	  
   end
   
end


SlashCmdList["CYA"] = handler;

function AcceptAll()
   for i = BNGetNumFriendInvites(), 1, -1 do
      BNAcceptFriendInvite(BNGetFriendInviteInfo(i))
   end
end

function DeclineAll()
   for i = BNGetNumFriendInvites(), 1, -1 do
      BNDeclineFriendInvite(BNGetFriendInviteInfo(i))
   end
end

local DeclineAllButton = CreateFrame("Button","DeclineAllButton",PendingListFrame,"UIPanelButtonTemplate")
DeclineAllButton:SetPoint("Bottom",98,4)
DeclineAllButton:SetWidth(130)
DeclineAllButton:SetHeight(21)
DeclineAllButton:SetScript("OnClick", function() DeclineAll() end)

local AcceptAllButton = CreateFrame("Button","AcceptAllButton",PendingListFrame,"UIPanelButtonTemplate")
AcceptAllButton:SetPoint("Bottom",-100,4)
AcceptAllButton:SetWidth(130)
AcceptAllButton:SetHeight(21)
AcceptAllButton:SetScript("OnClick", function() AcceptAll() end)

local DeclineAllButtonF = DeclineAllButton:CreateFontString(nil, "OVERLAY", "GameFontNormal")
DeclineAllButtonF:SetPoint("CENTER")
DeclineAllButtonF:SetText("Decline all")

local AcceptAllButtonF = AcceptAllButton:CreateFontString(nil, "OVERLAY", "GameFontNormal")
AcceptAllButtonF:SetPoint("CENTER")
AcceptAllButtonF:SetText("Accept all")